package com.mdd.admin.validate.decorate;

import com.mdd.common.validator.annotation.IDMust;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;

@ApiModel("页面装修参数")
public class DecoratePageValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @IDMust(
      message = "id参数必传且需大于0"
   )
   @ApiModelProperty(
      value = "id",
      required = true
   )
   private Integer id;
   @ApiModelProperty(
      value = "装修数据",
      required = true
   )
   private @NotNull(
   message = "pageData参数缺失"
) String pageData;

   public Integer getId() {
      return this.id;
   }

   public @NotNull(
   message = "pageData参数缺失"
) String getPageData() {
      return this.pageData;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setPageData(@NotNull(
   message = "pageData参数缺失"
) String pageData) {
      this.pageData = pageData;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof DecoratePageValidate)) {
         return false;
      } else {
         DecoratePageValidate other = (DecoratePageValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$id = this.getId();
            Object other$id = other.getId();
            if (this$id == null) {
               if (other$id != null) {
                  return false;
               }
            } else if (!this$id.equals(other$id)) {
               return false;
            }

            Object this$pageData = this.getPageData();
            Object other$pageData = other.getPageData();
            if (this$pageData == null) {
               if (other$pageData != null) {
                  return false;
               }
            } else if (!this$pageData.equals(other$pageData)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof DecoratePageValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $pageData = this.getPageData();
      result = result * 59 + ($pageData == null ? 43 : $pageData.hashCode());
      return result;
   }

   public String toString() {
      return "DecoratePageValidate(id=" + this.getId() + ", pageData=" + this.getPageData() + ")";
   }
}
